#RequireAdmin
#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_icon=Files\Avira.ico
#AutoIt3Wrapper_outfile=ASC.exe
#AutoIt3Wrapper_UseUpx=n
#AutoIt3Wrapper_Res_Comment=Avira Setup Creator
#AutoIt3Wrapper_Res_Description=ASC
#AutoIt3Wrapper_Res_Fileversion=1.2.2.8
#AutoIt3Wrapper_Res_LegalCopyright=Cyberyeye
#AutoIt3Wrapper_Res_SaveSource=y
#AutoIt3Wrapper_Res_requestedExecutionLevel=requireAdministrator
#AutoIt3Wrapper_Res_Field=Auteur|Cyberyeye
#AutoIt3Wrapper_Res_Icon_Add=Files\Avira.ico
#AutoIt3Wrapper_AU3Check_Stop_OnWarning=y
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#include <ButtonConstants.au3>
#include <GUIConstantsEx.au3>
#include <GuiStatusBar.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>
#cs ----------------------------------------------------------------------------
 AutoIt Version: 3.3.6.0
 Author:         Cyberyeye (aka Sokarz)

 Script Function: Avira Antivir Personal Edition
	Create a new setup including latest viral definitions
#ce ----------------------------------------------------------------------------
Opt('MustDeclareVars', 1)
;-----------------------------------
; Msg shown if Asc is start without
; using an admin account
;-----------------------------------
If IsAdmin() = 0 Then
	MsgBox(48,"Warning !","ASC perfectly works with admin user level. Executing ASC on a non administrator account" & @CRLF & _
	"can broke Avira.exe creation, especially on Windows Seven/Vista." & @CRLF & @CRLF & _
	"At least execute Asc with admin right on Windows Seven/Vista." & @CRLF & _
	"(right click on Asc executable then choose Run As Administrator)" & @CRLF & @CRLF & _
	"Thanks !",10)
EndIf
;-----------------------------------
; Asc check
;-----------------------------------
_Asc_CheckFiles()
;-----------------------------------
; Variable
;-----------------------------------
Global $DGuiLng, $DExecLng
;-----------------------------------
; ASC version
Global $Ver="1.2.2.8"
;-----------------------------------
; Var Language (Lang.ini)
;-----------------------------------
Global $LngEn = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngEN", "")
Global $LngGer = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngGer", "")
Global $LngFr = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngFR", "")
Global $LngEs = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngES", "")
Global $LngIt = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngIT", "")
Global $LngRu = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngRU", "")
Global $LngPtBr = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngPtBr", "")
Global $LngJp = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngJP", "")
Global $LngZhCn = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngZhCn", "")
Global $LngZhTw = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngZhTw", "")
Global $LngKO = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngKO", "")
Global $LngTk = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngTk", "")
Global $LngFi = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngFi", "")
Global $LngDe = IniRead(@ScriptDir & "\Files\Lang.ini", "Langage", "LngDe", "")
;-----------------------------------
; ASC available Language
;-----------------------------------
Dim $BtExec_Txt, $MenuF_Txt01, $MenuF_Txt02, $MenuF_Txt03, $MenuC_Txt01, $MenuC_Txt02, $MenuC_Txt03, $MenuC_Txt04, $MenuC_Txt05, $MenuH_Txt01, $MenuH_Txt02, $MenuH_Txt03, $MenuH_Txt04, $MenuH_Txt05
Dim $Label1_Txt, $Step_Txt01, $Step_Txt02, $Step_Txt03, $Step_Txt04, $Step_Txt05, $Step_Txt06, $Step_Txt07, $Step_Txt08, $Unp_Txt01, $Unp_Txt02, $Pack_Txt01, $Crt_Setup_Txt
Dim $Av_Txt, $Avdef_Txt, $Av_Old, $Av_Old02, $Av_Old03, $Av_Old04, $Av_Old05, $Av_Old06, $Av_Old07, $Av_Old08, $Chk_Dsk_Txt, $Chk_Sm_Txt, $Chk_WebGuard_Txt, $Option, $Opt_Light, $Opt_Light_tips
Dim $CheckFileTxt, $CheckFileTxt_Tips, $BtCheckSrv
Global $GuiLang = _DetectGuiLng()
Select
	Case $GuiLang = "French"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "Label1_txt","")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "step_txt01","")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "step_txt02","")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "step_txt03","")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "BtCheckSrv", "")

	Case $GuiLang = "English"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "BtCheckSrv", "")

	Case $GuiLang = "German"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "BtCheckSrv", "")

	Case $GuiLang = "Italian"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "BtCheckSrv", "")

	Case $GuiLang = "Spanish"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "BtCheckSrv", "")

	Case $GuiLang = "Russian"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "BtCheckSrv", "")

	Case $GuiLang = "Japanese"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "BtCheckSrv", "")

	Case $GuiLang = "PtBr"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "BtCheckSrv", "")

	Case $GuiLang = "Turkish"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Turkish", "BtCheckSrv", "")

	Case $GuiLang = "Chinese(zhcn)"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "BtCheckSrv", "")

	Case $GuiLang = "Chinese(zhtw)"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "BtCheckSrv", "")

	Case $GuiLang = "Korean"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "BtCheckSrv", "")

	Case $GuiLang = "Finnish"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Finnish", "BtCheckSrv", "")

	Case $GuiLang = "Dutch"
		$BtExec_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "BtExec_txt", "")
		$MenuF_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuF_txt01", "")
		$MenuF_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuF_txt02", "")
		$MenuF_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuF_txt03", "")
		$MenuC_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuC_txt01", "")
		$MenuC_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuC_txt02", "")
		$MenuC_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuC_txt03", "")
		$MenuC_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuC_txt04", "")
		$MenuC_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuC_txt05", "")
		$MenuH_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuH_txt01", "")
		$MenuH_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuH_txt02", "")
		$MenuH_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuH_txt03", "")
		$MenuH_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuH_txt04", "")
		$MenuH_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "MenuH_txt05", "")
		$Label1_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "Label1_txt", "")
		$Step_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "step_txt01", "")
		$Step_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "step_txt02", "")
		$Step_Txt03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "step_txt03", "")
		$Step_Txt04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "step_txt04", "")
		$Step_Txt05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "step_txt05", "")
		$Step_Txt06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "step_txt06", "")
		$Step_Txt07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "step_txt07", "")
		$Step_Txt08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "step_txt08", "")
		$Unp_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "Unp_txt01", "")
		$Unp_Txt02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "Unp_txt02", "")
		$Pack_Txt01 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "Pack_txt01", "")
		$Crt_Setup_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "Crt_setup_txt", "")
		$Av_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_txt", "")
		$Avdef_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "avdef_txt", "")
		$Av_Old = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_old", "")
		$Av_Old02 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_old02", "")
		$Av_Old03 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_old03", "")
		$Av_Old04 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_old04", "")
		$Av_Old05 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_old05", "")
		$Av_Old06 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_old06", "")
		$Av_Old07 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_old07", "")
		$Av_Old08 = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "av_old08", "")
		$Chk_Dsk_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "chk_dsk_txt", "")
		$Chk_Sm_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "chk_sm_txt", "")
		$Chk_WebGuard_Txt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "chk_WebGuard_Txt", "")
		$Option = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "option", "")
		$Opt_Light = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "Opt_Light", "")
		$Opt_Light_tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "Opt_Light_tips", "")
		$CheckFileTxt = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "CheckFileTxt", "")
		$CheckFileTxt_Tips = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "CheckFileTxt_Tips", "")
		$BtCheckSrv = IniRead(@ScriptDir & "\Files\Lang.ini", "Dutch", "BtCheckSrv", "")
	EndSelect
;-----------------------------------
; Antivir available setup from Avira
;-----------------------------------
Global $Setup, $Av_Url, $7zExtractSwitch, $Cfg_Title, $Cfg_Prompt, $Cfg_Prompt2, $Cfg_Extract, $Cfg_Cancel, $Cfg_Finish, $Cfg_Help, $SetupLngTxt
Global $ExecLang = _DetectExecLng()
Global $Antivir0_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "RDF", "Antivir0_Url", "")
Select
	Case $ExecLang = "French"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "French", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "French", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "French", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "French", "SetupLngTxt", "")

	Case $ExecLang = "English"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "English", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "English", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "English", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "English", "SetupLngTxt", "")

	Case $ExecLang = "German"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "German", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "German", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "German", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "German", "SetupLngTxt", "")

	Case $ExecLang = "Italian"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "Italian", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "Italian", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "Italian", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "Italian", "SetupLngTxt", "")

	Case $ExecLang = "Spanish"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "Spanish", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "Spanish", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "Spanish", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "Spanish", "SetupLngTxt", "")

	Case $ExecLang = "Russian"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "Russian", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "Russian", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "Russian", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "Russian", "SetupLngTxt", "")

	Case $ExecLang = "Japanese"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "Japanese", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "Japanese", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "Japanese", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "Japanese", "SetupLngTxt", "")

	Case $ExecLang = "PtBr"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "PTBR", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "PTBR", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "PTBR", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "PTBR", "SetupLngTxt", "")

	Case $ExecLang = "Chinese(zhcn)"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "Chinese(zhcn)", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "Chinese(zhcn)", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhcn)", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "Chinese(zhcn)", "SetupLngTxt", "")

	Case $ExecLang = "Chinese(zhtw)"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "Chinese(zhtw)", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "Chinese(zhtw)", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "Chinese(zhtw)", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "Chinese(zhtw)", "SetupLngTxt", "")

	Case $ExecLang = "Korean"
		$Setup = IniRead(@ScriptDir & "\Files\Settings.ini", "Korean", "Setup", "")
		$Av_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "Korean", "Av_Url", "")
		$7zExtractSwitch = IniRead(@ScriptDir & "\Files\Settings.ini", "Antivir10", "7zExtractSwitch", "")
		$Cfg_Title = IniRead(@ScriptDir & "\Files\Lang.ini", "Shared", "cfg_title", "")
		$Cfg_Prompt = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "cfg_prompt", "")
		$Cfg_Prompt2 = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "cfg_prompt2", "")
		$Cfg_Extract = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "cfg_extract", "")
		$Cfg_Cancel = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "cfg_cancel", "")
		$Cfg_Finish = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "cfg_finish", "")
		$Cfg_Help = IniRead(@ScriptDir & "\Files\Lang.ini", "Korean", "cfg_help", "")
		$SetupLngTxt = IniRead(@ScriptDir & "\Files\Settings.ini", "Korean", "SetupLngTxt", "")
	EndSelect
;-----------------------------------
; Suppress old config.txt
;-----------------------------------
If FileExists (@ScriptDir & "\config.txt") Then
	FileDelete(@ScriptDir & "\config.txt")
EndIf
;-----------------------------------
; Cration of config.txt
;-----------------------------------
Global $File
; for Antivir v10 use: FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
If $ExecLang = "French" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MDAY & "." & @MON & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "English" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MON & "." & @MDAY & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "German" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MDAY & "." & @MON & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "Italian" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MDAY & "." & @MON & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "Spanish" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MDAY & "." & @MON & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "Russian" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MDAY & "." & @MON & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "Japanese" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MDAY & "." & @MON & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "PtBr" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MDAY & "." & @MON & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "Chinese(zhcn)" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MON & "." & @MDAY & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "Chinese(zhtw)" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MON & "." & @MDAY & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)

ElseIf $ExecLang = "Korean" Then
$File = FileOpen("config.txt", 128 + 2)
FileWriteLine($File, ";!@Install@!UTF-8!")
FileWriteLine($File, "Title" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "ExtractTitle" & "=" & '"' & $Cfg_Title & " " & $SetupLngTxt & '"' & @CRLF)
FileWriteLine($File, "BeginPrompt" & "=" & '"' & $Cfg_Prompt & ' ' & @MON & "." & @MDAY & "." & @YEAR & $Cfg_Prompt2 & '"' & @CRLF)
FileWriteLine($File, "ExtractDialogText" & "=" & '"' & $Cfg_Extract & '"' & @CRLF)
FileWriteLine($File, "ExtractCancelText" & "=" & '"' & $Cfg_Cancel & '"' & @CRLF)
FileWriteLine($File, "RunProgram" & "=" & '"\' & '"%%T\\presetup.exe\" /inf=\"%%T\\setup.inf\""' & @CRLF)
FileWriteLine($File, "OverwriteMode" & "=" & '"0"' & @CRLF)
FileWriteLine($File, "GUIFlags" & "=" & '"6176"' & @CRLF)
FileWriteLine($File, "FinishMessage" & "=" & '"' & $Cfg_Finish & '"' & @CRLF)
FileWriteLine($File, "HelpText" & "=" & '"' & $Cfg_Help & '"' & @CRLF)
FileWriteLine($File, ";!@InstallEnd@!")
FileClose($File)
EndIf
;-----------------------------------
; Asc Gui
;-----------------------------------
Global $Form = GUICreate("ASC " & $Ver, 360, 300, -1, -1)
GUISetIcon(@ScriptDir & "\Files\Avira.ico")
;GUISetBkColor(0xFEFEFE,$Form)
Global $MenuFile = GUICtrlCreateMenu($MenuF_Txt01)
Global $MenuExec = GUICtrlCreateMenuItem($MenuF_Txt02, $MenuFile)
Global $Separator1 = GUICtrlCreateMenuItem("", $MenuFile, 1)
Global $MenuQuit = GUICtrlCreateMenuItem($MenuF_Txt03, $MenuFile)
Global $MenuLang = GUICtrlCreateMenu($MenuC_Txt01)
Global $MenuExecLng = GUICtrlCreateMenu($MenuC_Txt02, $MenuLang)
;GUICtrlSetState($MenuExecLng, $GUI_CHECKED)
Global $MenuExecLngEn = GUICtrlCreateMenuItem($LngEn, $MenuExecLng)
Global $MenuExecLngGer = GUICtrlCreateMenuItem($LngGer, $MenuExecLng)
Global $MenuExecLngFr = GUICtrlCreateMenuItem($LngFr, $MenuExecLng)
Global $MenuExecLngEs = GUICtrlCreateMenuItem($LngEs, $MenuExecLng)
Global $MenuExecLngIt = GUICtrlCreateMenuItem($LngIt, $MenuExecLng)
Global $MenuExecLngRu = GUICtrlCreateMenuItem($LngRu, $MenuExecLng)
Global $MenuExecLngPtBr = GUICtrlCreateMenuItem($LngPtBr, $MenuExecLng)
Global $MenuExecLngJp = GUICtrlCreateMenuItem($LngJp, $MenuExecLng)
Global $MenuExecLngZhCn = GUICtrlCreateMenuItem($LngZhCn, $MenuExecLng)
Global $MenuExecLngZhTw = GUICtrlCreateMenuItem($LngZhTw, $MenuExecLng)
Global $MenuExecLngKO = GUICtrlCreateMenuItem($LngKO, $MenuExecLng)
Global $Separator2 = GUICtrlCreateMenuItem("", $MenuLang, 1)
Global $MenuGui = GUICtrlCreateMenu($MenuC_Txt03, $MenuLang)
;GUICtrlSetState($MenuGui, $GUI_CHECKED)
Global $MenuGuiEn = GUICtrlCreateMenuItem($LngEn, $MenuGui)
Global $MenuGuiGer = GUICtrlCreateMenuItem($LngGer, $MenuGui)
Global $MenuGuiDe = GUICtrlCreateMenuItem($LngDe, $MenuGui)
Global $MenuGuiFr = GUICtrlCreateMenuItem($LngFr, $MenuGui)
Global $MenuGuiFi = GUICtrlCreateMenuItem($LngFi, $MenuGui)
Global $MenuGuiEs = GUICtrlCreateMenuItem($LngEs, $MenuGui)
Global $MenuGuiIt = GUICtrlCreateMenuItem($LngIt, $MenuGui)
Global $MenuGuiRu = GUICtrlCreateMenuItem($LngRu, $MenuGui)
Global $MenuGuiPtBr = GUICtrlCreateMenuItem($LngPtBr, $MenuGui)
;Global $MenuGuiJp = GUICtrlCreateMenuItem($LngJp, $MenuGui)
Global $MenuGuiTk = GUICtrlCreateMenuItem($LngTk, $MenuGui)
;Global $MenuGuiZhCn = GUICtrlCreateMenuItem($LngZhCn, $MenuGui)
;Global $MenuGuiZhTw = GUICtrlCreateMenuItem($LngZhTw, $MenuGui)
;Global $MenuGuiKo = GUICtrlCreateMenuItem($LngKO, $MenuGui)
Global $MenuHelp = GUICtrlCreateMenu($MenuH_Txt01)
Global $MenuCmd = GUICtrlCreateMenuItem($MenuH_Txt05, $MenuHelp)
Global $MenuDoc = GUICtrlCreateMenuItem($MenuH_Txt04, $MenuHelp)
Global $Separator3 = GUICtrlCreateMenuItem("", $MenuHelp, 2)
Global $MenuLic = GUICtrlCreateMenuItem($MenuH_Txt03, $MenuHelp)
Global $Separator4 = GUICtrlCreateMenuItem("", $MenuHelp, 4)
Global $MenuAbout = GUICtrlCreateMenuItem($MenuH_Txt02, $MenuHelp)
Global $Label1 = GUICtrlCreateLabel($Label1_Txt, 29, 10, 299, 17)
GUICtrlSetFont($Label1, 8.5, 400, 4, "Arial")
Global $Label2 = GUICtrlCreateLabel($Step_Txt01, 29, 40, 318, 41)
GUICtrlSetFont($Label2, 8.5, 800, 0, "Arial")
GUICtrlCreateGroup($Option, 15, 125, 330, 104)
Global $Chk_Sm = GUICtrlCreateCheckbox($Chk_Sm_Txt, 29, 142, 300, 17)
GUICtrlSetState($Chk_Sm, $GUI_UNCHECKED)
GUICtrlSetFont($Chk_Sm, 8.5, 400, 0, "Arial")
Global $Chk_Dsk = GUICtrlCreateCheckbox($Chk_Dsk_Txt, 29, 162, 300, 17)
GUICtrlSetState($Chk_Dsk, $GUI_UNCHECKED)
GUICtrlSetFont($Chk_Dsk, 8.5, 400, 0, "Arial")
Global $Chk_WebGuard = GUICtrlCreateCheckbox($Chk_WebGuard_Txt, 29, 182, 300, 17)
GUICtrlSetState($Chk_WebGuard, $GUI_UNCHECKED)
GUICtrlSetFont($Chk_WebGuard, 8.5, 400, 0, "Arial")
Global $Chk_Light = GUICtrlCreateCheckbox($Opt_Light, 29, 202, 310, 17)
GUICtrlSetState($Chk_Light, $GUI_UNCHECKED)
GUICtrlSetFont($Chk_Light, 8.5, 400, 0, "Arial")
GUICtrlSetTip($Chk_Light, $Opt_Light_tips)
GUICtrlCreateGroup("", -99, -99, 1, 1)
Global $BtExec = GUICtrlCreateButton($BtExec_Txt, 75, 90, 75, 25)
GUICtrlSetState($BtExec, $GUI_FOCUS)
Global $BtExit = GUICtrlCreateButton($MenuF_Txt03, 208, 90, 75, 25)
Global $CheckFile = GUICtrlCreateLabel($CheckFileTxt, 25, 234, 240, 17)
GUICtrlSetFont($CheckFile, 8, 800, 4, "Arial")
GUICtrlSetColor($CheckFile, 0x0000FF)
GUICtrlSetCursor($CheckFile, 0)
GUICtrlSetTip($CheckFile, $CheckFileTxt_Tips)
;-----------------------------------
; Statusbar
;-----------------------------------
Global $StatusBar = _GUICtrlStatusBar_Create($Form)
Global $StatusBar_PartsWidth[2] = [165, 365]
_GUICtrlStatusBar_SetParts($StatusBar, $StatusBar_PartsWidth)
_GUICtrlStatusBar_SetText($StatusBar, "Asc langage: " & $DGuiLng, 0)
_GUICtrlStatusBar_SetText($StatusBar, "Antivir langage to build: " & $DExecLng, 1)
_GUICtrlStatusBar_SetMinHeight($StatusBar, 17)
;-----------------------------------
; Language to apply
;-----------------------------------
_DetectStatusLng()
;-----------------------------------
; Asc Cmdline arguments
;-----------------------------------
If $CmdLine[0] > 0 Then
    Switch $CmdLine[1]

; Create silently Avira.exe without using Asc light options !
        Case "-cfull"
		If not FileExists (@ScriptDir & "\" & $Setup) Then
		  _Dl_SetupAntivir()
		  TrayTip("", $Unp_Txt01 ,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & $Setup & " -oTemp -y",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
	  ElseIf FileExists (@ScriptDir & "\" & $Setup) Then
		  TrayTip("", $Unp_Txt01 ,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & $Setup & " -oTemp -y",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
	  EndIf

	  If not FileExists (@ScriptDir & "\vdf_fusebundle.zip") Then
		  _Dl_ViralDef()
		  TrayTip("", $Unp_Txt02,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & "vdf_fusebundle.zip" & " " & $7zExtractSwitch,@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  _Upd_Files()
		  Sleep(500)
		  _SetupInf()
		  TrayTip("", $Pack_Txt01,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " a -mx=7 " & "Antivir.7z" & " .\Temp\*",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  Sleep(500)
		  SplashTextOn("ASC", $Crt_Setup_Txt, 300,56,-1,-1,1,"Arial", 10, 800)
		  _CreateNewAvira()
		  Sleep(250)
		  SplashOff()
		  DirRemove(@ScriptDir & "\Temp",1)
		  FileDelete(@ScriptDir & "\Antivir.7z")
		  FileDelete(@ScriptDir & "\config.txt")
	  ElseIf FileExists (@ScriptDir & "\vdf_fusebundle.zip") Then
		  TrayTip("", $Unp_Txt02,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & "vdf_fusebundle.zip" & " " & $7zExtractSwitch,@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  _Upd_Files()
		  Sleep(500)
		  _SetupInf()
		  TrayTip("", $Pack_Txt01,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " a -mx=7 " & "Antivir.7z" & " .\Temp\*",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  Sleep(500)
		  SplashTextOn("ASC", $Crt_Setup_Txt, 300,56,-1,-1,1,"Arial", 10, 800)
		  _CreateNewAvira()
		  Sleep(250)
		  SplashOff()
		  DirRemove(@ScriptDir & "\Temp",1)
		  FileDelete(@ScriptDir & "\Antivir.7z")
		  FileDelete(@ScriptDir & "\config.txt")
	  EndIf
		Exit
; Create silently Avira.exe using Asc light options !
		Case "-clight"
		If not FileExists (@ScriptDir & "\" & $Setup) Then
		  _Dl_SetupAntivir()
		  TrayTip("", $Unp_Txt01 ,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & $Setup & " -oTemp -y",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
	  ElseIf FileExists (@ScriptDir & "\" & $Setup) Then
		  TrayTip("", $Unp_Txt01 ,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & $Setup & " -oTemp -y",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
	  EndIf

	  If not FileExists (@ScriptDir & "\vdf_fusebundle.zip") Then
		  _Dl_ViralDef()
		  TrayTip("", $Unp_Txt02,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & "vdf_fusebundle.zip" & " " & $7zExtractSwitch,@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  _Upd_Files()
		  Sleep(500)
		  _LightenAviraSilent()
		  Sleep(500)
		  _SetupInf()
		  TrayTip("", $Pack_Txt01,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " a -mx=7 " & "Antivir.7z" & " .\Temp\*",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  Sleep(500)
		  SplashTextOn("ASC", $Crt_Setup_Txt, 300,56,-1,-1,1,"Arial", 10, 800)
		  _CreateNewAvira()
		  Sleep(250)
		  SplashOff()
		  DirRemove(@ScriptDir & "\Temp",1)
		  FileDelete(@ScriptDir & "\Antivir.7z")
		  FileDelete(@ScriptDir & "\config.txt")
	  ElseIf FileExists (@ScriptDir & "\vdf_fusebundle.zip") Then
		  TrayTip("", $Unp_Txt02,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & "vdf_fusebundle.zip" & " " & $7zExtractSwitch,@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  _Upd_Files()
		  Sleep(500)
		  _LightenAviraSilent()
		  Sleep(500)
		  _SetupInf()
		  TrayTip("", $Pack_Txt01,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " a -mx=7 " & "Antivir.7z" & " .\Temp\*",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  Sleep(500)
		  SplashTextOn("ASC", $Crt_Setup_Txt, 300,56,-1,-1,1,"Arial", 10, 800)
		  _CreateNewAvira()
		  Sleep(250)
		  SplashOff()
		  DirRemove(@ScriptDir & "\Temp",1)
		  FileDelete(@ScriptDir & "\Antivir.7z")
		  FileDelete(@ScriptDir & "\config.txt")
	  EndIf
		Exit

; Show a dialog with available switch !
		Case "-h"
			MsgBox(64, "Using ASC with commandline", "Available switch :" & @CRLF & @CRLF & _
            @ScriptName & " [-cfull] [-clight] [-h]" & @CRLF & @CRLF & _
            "-cfull" & @TAB & "Create silently 'Avira.exe' standard build (without using Asc Light)." & @CRLF & _
            "-clight" & @TAB & "Create silently 'Avira.exe' light build (using Asc Light)." & @CRLF & _
            "-h" & @TAB & "This help dialog." & @CRLF & @CRLF & _
			"Note: there is no switch for choosing a language ! Please use Asc GUI for doing that." & @CRLF & @CRLF & _
			"Please read the FAQ for more information.")
			If FileExists (@ScriptDir & "\config.txt") Then
				FileDelete(@ScriptDir & "\config.txt")
			EndIf
		Exit

        Case Else
            Sleep(50)
    EndSwitch
Else
    Sleep(50)
EndIf
;-----------------------------------
; Suppress old files ?
;-----------------------------------
_Del_OldAviraFile()
;-----------------------------------
; Start Asc Gui
;-----------------------------------
GUISetState(@SW_SHOW)
;-----------------------------------
; Main Code
;-----------------------------------
While 1
Global $nMsg = GUIGetMsg()
Switch $nMsg
	Case $GUI_EVENT_CLOSE, $MenuQuit, $BtExit
		If FileExists(@ScriptDir & "\config.txt") Then
			FileDelete(@ScriptDir & "\config.txt")
		EndIf
		GUIDelete()
		Exit
; Msgbox to remove in the next Asc build 1.2.2.8 !
	Case $Chk_WebGuard
		If _IsChecked($Chk_WebGuard) Then
			MsgBox(48,"Information","Only Avira Antivir v10 SP2 include Ask Toolbar in Webguard !!!" & @CRLF & _
		"Antivir 10 SP2 is now only available in English or German." & @CRLF & @CRLF & _
		"Antivir SP2 for all others language should be available end July." & @CRLF & _
		"If you are using Antivir v10 (not SP2) Ask toolbar is not include !")
		EndIf

	Case $MenuCmd
			MsgBox(64, "Using ASC with commandline", "Available switch :" & @CRLF & @CRLF & _
            @ScriptName & " [-cfull] [-clight] [-h]" & @CRLF & @CRLF & _
            "-cfull" & @TAB & "Create silently 'Avira.exe' standard build (without using Asc Light)." & @CRLF & _
            "-clight" & @TAB & "Create silently 'Avira.exe' light build (using Asc Light)." & @CRLF & _
            "-h" & @TAB & "This help dialog." & @CRLF & @CRLF & _
			"Note: there is no switch for choosing a language ! Please use Asc GUI for doing that." & @CRLF & @CRLF & _
			"Please read the FAQ for more information.")

	Case $MenuDoc
		ShellExecute("_Readme.html","",@ScriptDir & "\Doc","open",@SW_MAXIMIZE)

	Case $MenuAbout
		MsgBox(64, $MenuH_Txt02, "Author: Cyberyeye (aka Sokarz)" & @CRLF & _
		"Coding: AutoIT(3.3.6.0)" & @CRLF & _
		"Version: " & $Ver & @CRLF & @CRLF & _
		"ASC can only build Avira Personal v10 setup !" & @CRLF & @CRLF & _
		"- Choose Avira Antivir Language to build:" & @CRLF & _
		"Menu 'Langage' > 'Avira'" & @CRLF & @CRLF & _
		"- Choose your Language in Asc:" & @CRLF & _
		"Menu 'Langage' > 'Asc Gui'" & @CRLF & @CRLF & _
		"Avira Antivir Personnal is available in these language:" & @CRLF & @CRLF & _
		"French,English,German,Italian,Spanish,Russian,Japanese"& @CRLF & _
		"Portuguese(BR),Chinese(Zh-Cn;Zh-Tw),Korean.")

	Case $MenuLic
		MsgBox(64, $MenuH_Txt03, "Avira Setup Creator is a freeware." & @CRLF & @CRLF & _
		"You are NOT allowed to modify it in anyway without my explicit permission!" & @CRLF & @CRLF & _
		"The author is NOT responsible for any damage cause by this software in any form. Use it at your own risk!" & @CRLF & @CRLF & _
		"No support of any form can be ask to the author ! ASC can be freely redistribute but cannot be sell !" & @CRLF & @CRLF & _
		"Thanks, Cyberyeye")

; Asc GUI language

	;Case $MenuGuiZhCn
		;IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Chinese(zhcn)")
			;ShellExecute(@ScriptFullPath)
			;GUIDelete()
			;Exit
	;Case $MenuGuiZhTw
		;IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Chinese(zhtw)")
			;ShellExecute(@ScriptFullPath)
			;GUIDelete()
			;Exit

	Case $MenuGuiEn
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "English")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuGuiFr
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "French")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuGuiEs
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Spanish")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuGuiGer
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "German")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuGuiDe
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Dutch")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuGuiIt
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Italian")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	;Case $MenuGuiJp
		;IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Japanese")
			;ShellExecute(@ScriptFullPath)
			;GUIDelete()
			;Exit
	;Case $MenuGuiKo
		;IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Korean")
			;ShellExecute(@ScriptFullPath)
			;GUIDelete()
			;Exit
	Case $MenuGuiRu
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Russian")
			ShellExecute(@ScriptFullPath)
			Exit
	Case $MenuGuiPtBr
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "PtBr")
			ShellExecute(@ScriptFullPath)
			Exit
	Case $MenuGuiTk
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Turkish")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuGuiFi
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "Finnish")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit

; Antivir setup language
	Case $MenuExecLngZhCn
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "Chinese(zhcn)")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuExecLngZhTw
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "Chinese(zhtw)")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuExecLngEn
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "English")
			ShellExecute(@ScriptFullPath)
			Exit
	Case $MenuExecLngFr
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "French")
			ShellExecute(@ScriptFullPath)
			Exit
	Case $MenuExecLngGer
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "German")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuExecLngIt
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "Italian")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuExecLngJp
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "Japanese")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuExecLngKO
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "Korean")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuExecLngEs
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "Spanish")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuExecLngRu
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "Russian")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit
	Case $MenuExecLngPtBr
		IniWrite(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "PtBr")
			ShellExecute(@ScriptFullPath)
			GUIDelete()
			Exit

	Case $CheckFile
			_Form2()

	Case $MenuExec, $BtExec
		GUICtrlSetState($CheckFile, $GUI_DISABLE)
		GUICtrlSetState($BtExit, $GUI_DISABLE)
		If not FileExists (@ScriptDir & "\" & $Setup) Then
		  GUICtrlSetState($BtExec, $GUI_DISABLE)
		  GUICtrlSetData($Label2,$Step_Txt02, "")
		  _Dl_SetupAntivir()
		  TrayTip("", $Unp_Txt01 ,1,16)
		  GUICtrlSetData($Label2,$Step_Txt03, "")
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & $Setup & " -oTemp -y",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
	  ElseIf FileExists (@ScriptDir & "\" & $Setup) Then
		  GUICtrlSetState($BtExec, $GUI_DISABLE)
		  TrayTip("", $Unp_Txt01 ,1,16)
		  GUICtrlSetData($Label2,$Step_Txt03, "")
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & $Setup & " -oTemp -y",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
	  EndIf

	  If not FileExists (@ScriptDir & "\vdf_fusebundle.zip") Then
		  GUICtrlSetState($BtExec, $GUI_DISABLE)
		  GUICtrlSetData($Label2,$Step_Txt04, "")
		  _Dl_ViralDef()
		  GUICtrlSetData($Label2,$Step_Txt05, "")
		  TrayTip("", $Unp_Txt02,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & "vdf_fusebundle.zip" & " " & $7zExtractSwitch,@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  _Upd_Files()
		  Sleep(500)
		  _LightenAvira()
		  Sleep(500)
		  _SetupInf()
		  TrayTip("", $Pack_Txt01,1,16)
		  Sleep(500)
		  GUICtrlSetData($Label2,$Step_Txt06, "")
		  RunWait("Files\7z.exe" & " a -mx=7 " & "Antivir.7z" & " .\Temp\*",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  Sleep(500)
		  SplashTextOn("ASC", $Crt_Setup_Txt, 300,56,-1,-1,1,"Arial", 10, 800)
		  GUICtrlSetData($Label2,$Step_Txt07, "")
		  GUICtrlSetFont($Label2, 8.5, 800, 0, "Arial")
		  _CreateNewAvira()
		  Sleep(250)
		  SplashOff()
		  GUICtrlSetData($Label2,$Step_Txt08, "")
		  GUICtrlSetFont($Label2, 8.5, 800, 0, "Arial")
		  DirRemove(@ScriptDir & "\Temp",1)
		  FileDelete(@ScriptDir & "\Antivir.7z")
		  FileDelete(@ScriptDir & "\config.txt")
	  ElseIf FileExists (@ScriptDir & "\vdf_fusebundle.zip") Then
		  GUICtrlSetData($Label2,$Step_Txt05, "")
		  TrayTip("", $Unp_Txt02,1,16)
		  Sleep(500)
		  RunWait("Files\7z.exe" & " x " & "vdf_fusebundle.zip" & " " & $7zExtractSwitch,@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  _Upd_Files()
		  Sleep(500)
		  _LightenAvira()
		  Sleep(500)
		  _SetupInf()
		  TrayTip("", $Pack_Txt01,1,16)
		  Sleep(500)
		  GUICtrlSetData($Label2,$Step_Txt06, "")
		  RunWait("Files\7z.exe" & " a -mx=7 " & "Antivir.7z" & " .\Temp\*",@ScriptDir,@SW_HIDE)
		  TrayTip("", "", 0)
		  Sleep(500)
		  SplashTextOn("ASC", $Crt_Setup_Txt, 300,56,-1,-1,1,"Arial", 10, 800)
		  GUICtrlSetData($Label2,$Step_Txt07, "")
		  _CreateNewAvira()
		  Sleep(250)
		  SplashOff()
		  GUICtrlSetData($Label2,$Step_Txt08, "")
		  GUICtrlSetFont($Label2, 8.5, 800, 0, "Arial")
		  DirRemove(@ScriptDir & "\Temp",1)
		  FileDelete(@ScriptDir & "\Antivir.7z")
		  FileDelete(@ScriptDir & "\config.txt")
	  EndIf
		GUICtrlSetState($BtExec, $GUI_ENABLE)
		GUICtrlSetState($CheckFile, $GUI_ENABLE)
		GUICtrlSetState($BtExit, $GUI_ENABLE)
		GUICtrlSetState($BtExit, $GUI_FOCUS)
EndSwitch
WEnd
GUIDelete()
;-----------------------------------
; Functions used
;-----------------------------------
Func _IsChecked($control)
    Return BitAND(GUICtrlRead($control), $GUI_CHECKED) = $GUI_CHECKED
EndFunc
;-----------------------------------
Func _DetectGuiLng()
Global $DGuiLng=IniRead(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "GuiLang", "")
	Return $DGuiLng
EndFunc
;-----------------------------------
Func _DetectExecLng()
Global $DExecLng=IniRead(@ScriptDir & "\Files\Lang.ini", "GuiLangUsed", "ExecLang", "")
	Return $DExecLng
EndFunc
;-----------------------------------
Func _DetectStatusLng()
; Detect Lang used in Asc Gui
Select
	Case $GuiLang = "English"
		GUICtrlSetState($MenuGuiEn, $GUI_CHECKED)

	Case $GuiLang = "German"
		GUICtrlSetState($MenuGuiGer, $GUI_CHECKED)

	Case $GuiLang = "Dutch"
		GUICtrlSetState($MenuGuiDe, $GUI_CHECKED)

	Case $GuiLang = "French"
		GUICtrlSetState($MenuGuiFr, $GUI_CHECKED)

	Case $GuiLang = "Spanish"
		GUICtrlSetState($MenuGuiEs, $GUI_CHECKED)

	Case $GuiLang = "Italian"
		GUICtrlSetState($MenuGuiIt, $GUI_CHECKED)

	Case $GuiLang = "Russian"
		GUICtrlSetState($MenuGuiRu, $GUI_CHECKED)

	Case $GuiLang = "PtBr"
		GUICtrlSetState($MenuGuiPtBr, $GUI_CHECKED)

	Case $GuiLang = "Turkish"
		GUICtrlSetState($MenuGuiTk, $GUI_CHECKED)

	Case $GuiLang = "Finnish"
		GUICtrlSetState($MenuGuiFi, $GUI_CHECKED)

	;Case $GuiLang = "Chinese(zhcn)"
		;GUICtrlSetState($MenuGuiZhCn, $GUI_CHECKED)

	;Case $GuiLang = "Chinese(zhtw)"
		;GUICtrlSetState($MenuGuiZhTw, $GUI_CHECKED)

	;Case $GuiLang = "Japanese"
		;GUICtrlSetState($MenuGuiJp, $GUI_CHECKED)

	;Case $GuiLang = "Korean"
		;GUICtrlSetState($MenuGuiKo, $GUI_CHECKED)
EndSelect
; Detect Lang to apply for Avira.exe
Select
	Case $ExecLang = "English"
		GUICtrlSetState($MenuExecLngEn, $GUI_CHECKED)

	Case $ExecLang = "German"
		GUICtrlSetState($MenuExecLngGer, $GUI_CHECKED)

	Case $ExecLang = "French"
		GUICtrlSetState($MenuExecLngFr, $GUI_CHECKED)

	Case $ExecLang = "Spanish"
		GUICtrlSetState($MenuExecLngEs, $GUI_CHECKED)

	Case $ExecLang = "Italian"
		GUICtrlSetState($MenuExecLngIt, $GUI_CHECKED)

	Case $ExecLang = "Russian"
		GUICtrlSetState($MenuExecLngRu, $GUI_CHECKED)

	Case $ExecLang = "PtBr"
		GUICtrlSetState($MenuExecLngPtBr, $GUI_CHECKED)

	Case $ExecLang = "Japanese"
		GUICtrlSetState($MenuExecLngJp, $GUI_CHECKED)

	Case $ExecLang = "Chinese(zhcn)"
		GUICtrlSetState($MenuExecLngZhCn, $GUI_CHECKED)

	Case $ExecLang = "Chinese(zhtw)"
		GUICtrlSetState($MenuExecLngZhTw, $GUI_CHECKED)

	Case $ExecLang = "Korean"
		GUICtrlSetState($MenuExecLngKO, $GUI_CHECKED)
EndSelect
EndFunc
;-----------------------------------
Func _Asc_CheckFiles()
Local $7z = @ScriptDir & "\Files\7z.dll"
Local $7zExe = @ScriptDir & "\Files\7z.exe"
Local $7zSd = @ScriptDir & "\Files\7zsd.sfx"
Local $LangF = @ScriptDir & "\Files\Lang.ini"
Local $SettingF = @ScriptDir & "\Files\Settings.ini"
Local $Setup = @ScriptDir & "\Files\setup.inf"
Local $Bmp1 = @ScriptDir & "\Files\Green.bmp"
Local $Bmp2 = @ScriptDir & "\Files\Red.bmp"
Local $Ico = @ScriptDir & "\Files\Avira.ico"
Local $ArrFile[9] = [$7z, $7zExe, $7zSd, $LangF, $SettingF, $Setup, $Bmp1, $Bmp2, $Ico]
For $i = 0 to UBound($ArrFile) - 1
    If not FileExists($ArrFile[$i]) Then
		MsgBox(16,"Error: missing files !","Missing files in Asc subdir '\Files' !" & @CRLF & @CRLF & $ArrFile[$i] & @CRLF & @CRLF & "Please download again Asc, and replace this missing files now !")
		GUIDelete()
		Exit
    EndIf
Next
Sleep(100)
EndFunc
;-----------------------------------
Func _Del_OldAviraFile()
Local $SearchF = FileFindFirstFile("avira*.exe")
While 1
    Local $FileFound = FileFindNextFile($SearchF)
    If @error Then ExitLoop
    Local $DelFileNow = MsgBox(36,$Av_Old,$Av_Old02 & @CRLF & @CRLF & $Av_Old03 & " " & $FileFound & @CRLF & @CRLF & $Av_Old05 & @CRLF & @CRLF & $Av_Old06 & @CRLF & $Av_Old07 & @CRLF & $Av_Old08 & " " & $Cfg_Title)
		Select
			Case $DelFileNow = 6
				FileDelete(@ScriptDir & "\" & $FileFound)
			Case $DelFileNow = 7
		EndSelect
	WEnd

If FileExists (@ScriptDir & "\vdf_fusebundle.zip") Then
	    Local $DelVdfFileNow = MsgBox(36,$Av_Old,$Av_Old02 & @CRLF & @CRLF & $Av_Old03 & " " & "vdf_fusebundle.zip" & @CRLF & @CRLF & $Av_Old05 & @CRLF & @CRLF & $Av_Old06 & @CRLF & $Av_Old07 & @CRLF & $Av_Old08 & " " & $Cfg_Title)
		Select
			Case $DelVdfFileNow = 6
				FileDelete(@ScriptDir & "\vdf_fusebundle.zip")
			Case $DelVdfFileNow = 7
		EndSelect
EndIf
FileClose($SearchF)
If FileExists (@ScriptDir & "\Antivir.7z") Then
	FileDelete(@ScriptDir & "\Antivir.7z")
EndIf
If FileExists (@ScriptDir & "\Temp") Then
	DirRemove(@ScriptDir & "\Temp",1)
EndIf
If FileExists (@ScriptDir & "\error.log") Then
	FileDelete(@ScriptDir & "\error.log")
EndIf
Sleep(100)
EndFunc
;-----------------------------------
Func _CreateNewAvira()
If FileExists(@ScriptDir & "\Avira.exe") Then
	FileDelete(@ScriptDir & "\Avira.exe")
	Sleep(10)
EndIf
Local $s_SrcFile1 = @ScriptDir & "\Files\7zsd.sfx"
Local $s_SrcFile2 = @ScriptDir & "\config.txt"
Local $s_SrcFile3 = @ScriptDir & "\Antivir.7z"
Local $s_DestFile = @ScriptDir & "\Avira.exe"
    ; Read Files in Binary Mode
Local $h_File1 = FileOpen($s_SrcFile1 , 16)
Local $h_File2 = FileOpen($s_SrcFile2 , 16)
Local $h_File3 = FileOpen($s_SrcFile3 , 16)
FileWrite($s_DestFile, FileRead($h_File1) & FileRead($h_File2) & FileRead($h_File3))
Sleep(10)
FileClose($h_File1)
FileClose($h_File2)
FileClose($h_File3)
EndFunc
;-----------------------------------
Func _Dl_SetupAntivir()
Local $InetSize = InetGetSize($Av_Url)
Local $Handle = InetGet($Av_Url, @ScriptDir & "\" & $Setup,1,1)
While InetGetInfo($Handle, 0) < $InetSize
	TrayTip("", $Av_Txt & Round((InetGetInfo($Handle, 0) / $InetSize) * 100, 0) & "%", 1,16)
	Sleep(25)
WEnd
InetClose($Handle)
TrayTip("", "", 0)
If not FileExists(@ScriptDir & "\" & $Setup) Then
MsgBox(0, "Error while downloading", $Av_Old03 & " " & $Setup, 5)
Local $ErrFile = FileOpen("Error.log", 1)
FileWrite($ErrFile, "Log create, day: " & @MON & "." & @MDAY & "." & @YEAR & " , time: " & @HOUR & "." & @MIN & "." & @SEC & @CRLF)
FileWrite($ErrFile, "Unable to download file: " & $Setup & @CRLF & @CRLF)
FileClose($ErrFile)
EndIf
EndFunc
;-----------------------------------
Func _Dl_ViralDef()
Local $Def_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "IVDF", "Def_Url", "")
Local $InetSize2 = InetGetSize($Def_Url)
Local $Handle2 = InetGet($Def_Url, @ScriptDir & "\vdf_fusebundle.zip",1,1)
While InetGetInfo($Handle2, 0) < $InetSize2
	TrayTip("", $Avdef_Txt & Round((InetGetInfo($Handle2, 0) / $InetSize2) * 100, 0) & "%", 1,16)
	Sleep(25)
WEnd
InetClose($Handle2)
TrayTip("", "", 0)
If not FileExists(@ScriptDir & "\vdf_fusebundle.zip") Then
MsgBox(0, "Error while downloading", $Av_Old03 & " " & "vdf_fusebundle.zip", 5)
Local $ErrFile = FileOpen("Error.log", 1)
FileWrite($ErrFile, "Log create, day: " & @MON & "." & @MDAY & "." & @YEAR & " , time: " & @HOUR & "." & @MIN & "." & @SEC & @CRLF)
FileWrite($ErrFile, "Unable to download file: " & "vdf_fusebundle.zip" & @CRLF & @CRLF)
FileClose($ErrFile)
EndIf
EndFunc
;-----------------------------------
Func _Dl_OtherFiles($Url, $FileName)
Local $FileDest = @ScriptDir & "\" & $FileName
Local $Download = InetGet($Url, $FileDest,1,1)
Do
    Sleep(50)
Until InetGetInfo($Download, 2)
InetClose($Download)
If not FileExists($FileName) Then
MsgBox(0, "Error while downloading", $Av_Old03 & " " & $FileName, 5)
Local $ErrFile = FileOpen("Error.log", 1)
FileWrite($ErrFile, "Log create, day: " & @MON & "." & @MDAY & "." & @YEAR & " , time: " & @HOUR & "." & @MIN & "." & @SEC & @CRLF)
FileWrite($ErrFile, "Unable to download file: " & $FileName & @CRLF & @CRLF)
FileClose($ErrFile)
EndIf
EndFunc
;-----------------------------------
Func _Upd_Files()
If FileExists(@ScriptDir & "\Temp\antivir0.rdf") Then
	If FileExists(@ScriptDir & "\antivir0.rdf.gz") Then
	RunWait("Files\7z.exe" & " x " & "antivir0.rdf.gz" & " -oTemp -y",@ScriptDir,@SW_HIDE)
	FileDelete(@ScriptDir & "\antivir0.rdf.gz")
Else
	_Dl_OtherFiles($Antivir0_Url, "antivir0.rdf.gz")
	RunWait("Files\7z.exe" & " x " & "antivir0.rdf.gz" & " -oTemp -y",@ScriptDir,@SW_HIDE)
	FileDelete(@ScriptDir & "\antivir0.rdf.gz")
	EndIf
EndIf
EndFunc
;-----------------------------------
Func _LightenAvira()
If _IsChecked($Chk_Light) Then
; Supress some files from Antivir v10 setup
If FileExists (@ScriptDir & "\Temp\vcredist_x86.exe") Then
	FileDelete(@ScriptDir & "\Temp\vcredist_x86.exe")
EndIf
If FileExists (@ScriptDir & "\Temp\avpack32.dll") Then
	FileDelete(@ScriptDir & "\Temp\avpack32.dll")
EndIf
If FileExists (@ScriptDir & "\Temp\ave2-win32-int.info.gz") Then
	FileDelete(@ScriptDir & "\Temp\ave2-win32-int.info.gz")
EndIf
If FileExists (@ScriptDir & "\Temp\fusebundle-win32-int.info.gz") Then
	FileDelete(@ScriptDir & "\Temp\fusebundle-win32-int.info.gz")
EndIf
If FileExists (@ScriptDir & "\Temp\specvir-win32-int.info.gz") Then
	FileDelete(@ScriptDir & "\Temp\specvir-win32-int.info.gz")
EndIf
If FileExists (@ScriptDir & "\Temp\vdf.info.gz") Then
	FileDelete(@ScriptDir & "\Temp\vdf.info.gz")
EndIf
EndIf
EndFunc
;-----------------------------------
Func _LightenAviraSilent()
; Supress some files from Antivir v10 setup
If FileExists (@ScriptDir & "\Temp\vcredist_x86.exe") Then
	FileDelete(@ScriptDir & "\Temp\vcredist_x86.exe")
EndIf
If FileExists (@ScriptDir & "\Temp\avpack32.dll") Then
	FileDelete(@ScriptDir & "\Temp\avpack32.dll")
EndIf
If FileExists (@ScriptDir & "\Temp\ave2-win32-int.info.gz") Then
	FileDelete(@ScriptDir & "\Temp\ave2-win32-int.info.gz")
EndIf
If FileExists (@ScriptDir & "\Temp\fusebundle-win32-int.info.gz") Then
	FileDelete(@ScriptDir & "\Temp\fusebundle-win32-int.info.gz")
EndIf
If FileExists (@ScriptDir & "\Temp\specvir-win32-int.info.gz") Then
	FileDelete(@ScriptDir & "\Temp\specvir-win32-int.info.gz")
EndIf
If FileExists (@ScriptDir & "\Temp\vdf.info.gz") Then
	FileDelete(@ScriptDir & "\Temp\vdf.info.gz")
EndIf
EndFunc
;-----------------------------------
Func _SetupInf()
Local $SetupInf, $SetupMod, $Sh_Sm0, $Sh_Sm1, $Sh_Desk0, $Sh_Desk1, $Sh_Webg0, $Sh_Webg1
$Sh_Sm0 = "ProgramGroup=0"
$Sh_Sm1 = "ProgramGroup=1"
$Sh_Desk0 = "DesktopIcon=0"
$Sh_Desk1 = "DesktopIcon=1"
$Sh_Webg0 = "WebGuard=0"
$Sh_Webg1 = "WebGuard=1"
FileCopy(@ScriptDir & "\Files\setup.inf",@ScriptDir & "\Temp\",9)
$SetupInf = @ScriptDir & "\Temp\setup.inf"
If _IsChecked($Chk_Sm) Then
$SetupMod = FileRead($SetupInf)
$SetupMod = StringReplace($SetupMod,$Sh_Sm0,$Sh_Sm1)
FileDelete($SetupInf)
FileWrite($SetupInf,$SetupMod)
FileClose($SetupInf)
EndIf
If _IsChecked($Chk_Dsk) Then
$SetupMod = FileRead($SetupInf)
$SetupMod = StringReplace($SetupMod,$Sh_Desk0,$Sh_Desk1)
FileDelete($SetupInf)
FileWrite($SetupInf,$SetupMod)
FileClose($SetupInf)
EndIf
If _IsChecked($Chk_WebGuard) Then
$SetupMod = FileRead($SetupInf)
$SetupMod = StringReplace($SetupMod,$Sh_Webg1, $Sh_Webg0)
FileDelete($SetupInf)
FileWrite($SetupInf,$SetupMod)
FileClose($SetupInf)
EndIf
EndFunc
;-----------------------------------
Func _Form2()
Local $Def_Url = IniRead(@ScriptDir & "\Files\Settings.ini", "IVDF", "Def_Url", "")
Local $Srv1 = "dl.antivir.de"
Local $Srv2 = "dlce.antivir.com"
; Gui
Local $Form2 = GUICreate("Checking Antivir files on Avira server !", 361, 242, -1, -1)
GUISetIcon(@ScriptDir & "\Files\Avira.ico")
Local $Group1 = GUICtrlCreateGroup("Ping server", 8, 8, 337, 57)
Local $Label_Srv1 = GUICtrlCreateLabel($Srv1, 20, 23, 100, 17)
GUICtrlSetFont($Label_Srv1, 8, 800, 4, "Arial")
Local $Label_Srv2 = GUICtrlCreateLabel($Srv2, 20, 39, 100, 17)
GUICtrlSetFont($Label_Srv2, 8, 800, 4, "Arial")
Local $Ping_Srv1 = GUICtrlCreateLabel("value", 220, 23, 100, 17, $SS_RIGHT)
GUICtrlSetFont($Ping_Srv1, 8, 800, 0, "Arial")
Local $Ping_Srv2 = GUICtrlCreateLabel("value", 220, 39, 100, 17, $SS_RIGHT)
GUICtrlSetFont($Ping_Srv2, 8, 800, 0, "Arial")
GUICtrlCreateGroup("", -99, -99, 1, 1)
Local $Group2 = GUICtrlCreateGroup("Online Filecheck", 8, 80, 337, 121)
Local $Label_AvSetup = GUICtrlCreateLabel($Setup, 20, 97, 170, 17)
GUICtrlSetFont($Label_AvSetup, 8, 800, 4, "Arial")
GUICtrlSetTip($Label_AvSetup, $Av_Url)
Local $Label_BaseDef = GUICtrlCreateLabel("vdf_fusebundle.zip", 20, 124, 116, 17)
GUICtrlSetFont($Label_BaseDef, 8, 800, 4, "Arial")
GUICtrlSetTip($Label_BaseDef, $Def_Url)
Local $Label_Antivir0 = GUICtrlCreateLabel("Antivir0.rdf.gz", 20, 151, 100, 17)
GUICtrlSetFont($Label_Antivir0, 8, 800, 4, "Arial")
GUICtrlSetTip($Label_Antivir0, $Antivir0_Url)
Local $Pic1 = GUICtrlCreatePic(@ScriptDir & "\Files\Green.bmp", 300, 93, 20, 20)
GUICtrlSetState($Pic1, $GUI_HIDE)
Local $Pic2 = GUICtrlCreatePic(@ScriptDir & "\Files\Red.bmp", 300, 93, 20, 20)
GUICtrlSetState($Pic2, $GUI_HIDE)
Local $Pic3 = GUICtrlCreatePic(@ScriptDir & "\Files\Green.bmp", 300, 120, 20, 20)
GUICtrlSetState($Pic3, $GUI_HIDE)
Local $Pic4 = GUICtrlCreatePic(@ScriptDir & "\Files\Red.bmp", 300, 120, 20, 20)
GUICtrlSetState($Pic4, $GUI_HIDE)
Local $Pic5 = GUICtrlCreatePic(@ScriptDir & "\Files\Green.bmp", 300, 147, 20, 20)
GUICtrlSetState($Pic5, $GUI_HIDE)
Local $Pic6 = GUICtrlCreatePic(@ScriptDir & "\Files\Red.bmp", 300, 147, 20, 20)
GUICtrlSetState($Pic6, $GUI_HIDE)
GUICtrlCreateGroup("", -99, -99, 1, 1)
Local $ExitForm2 = GUICtrlCreateButton($MenuF_Txt03, 190, 210, 75, 25)
Local $BtCheck = GUICtrlCreateButton($BtCheckSrv, 90, 210, 80, 25)
GUICtrlSetTip($BtCheck, $CheckFileTxt_Tips)
; Show Gui
GUICtrlSetState($BtCheckSrv, $GUI_FOCUS)
GUISetState(@SW_SHOW,$Form2)
GUISwitch($Form2)

While 1
 $nMsg = GUIGetMsg()
 Switch $nMsg
	Case $GUI_EVENT_CLOSE,$ExitForm2
		GUISwitch($Form)
		GUIDelete($Form2)
		ExitLoop
	Case $BtCheck
; Ping Srv1
Local $PingTest = Ping($Srv1,150)
If not @error Then
	GUICtrlSetData($Ping_Srv1,$PingTest & " ms", "")
	Sleep(1000)
EndIf
; Ping Srv2
Local $PingTest2 = Ping($Srv2,150)
If not @error Then
	GUICtrlSetData($Ping_Srv2,$PingTest2 & " ms", "")
	Sleep(1000)
EndIf
; Show status with image now
If $PingTest = 0 or $PingTest2 = 0 Then
	Local $InfoMsg = MsgBox(48,"Info!","Avira download server is probably 'Offline' !" & @CRLF & _
	"Advise: Abort Avira setup creation now with Asc, and try later in a few hours." & @CRLF & @CRLF & _
	"Thanks !")
	GUIDelete($Form2)
	Exitloop
ElseIf $PingTest > 100 AND $PingTest <= 149 or $PingTest2 > 100 AND $PingTest2 <= 149 Then
	Local $InfoMsg = MsgBox(48,"Info!","Avira server is probably 'Overload' now !" & @CRLF & _
	"If you are using a Wifi network this check can return a false result IF you got a bad ping from you're wifi network !" & @CRLF & @CRLF & _
	"Advise: if Avira setup creation failed with ASC, try again later in a few hours." & @CRLF & @CRLF & _
	"Thanks !")
	Local $Check_Av_Url = InetGetSize($Av_Url)
	Local $Check_Def_Url = InetGetSize($Def_Url)
	Local $Check_Antivir0_Url = InetGetSize($Antivir0_Url)
	If $Check_Av_Url > 1 Then
		GUICtrlSetState($Pic1, $GUI_SHOW)
	Else
		GUICtrlSetState($Pic2, $GUI_SHOW)
	EndIf
	InetClose($Check_Av_Url)

	If $Check_Def_Url > 1 Then
		GUICtrlSetState($Pic3, $GUI_SHOW)
	Else
		GUICtrlSetState($Pic4, $GUI_SHOW)
	EndIf
	InetClose($Check_Def_Url)

	If $Check_Antivir0_Url > 1 Then
		GUICtrlSetState($Pic5, $GUI_SHOW)
	Else
		GUICtrlSetState($Pic6, $GUI_SHOW)
	EndIf
	InetClose($Check_Antivir0_Url)
	GUICtrlSetState($ExitForm2, $GUI_FOCUS)
	GUICtrlSetState($BtCheck, $GUI_DISABLE)

ElseIf $PingTest > 1 AND $PingTest <= 99 or $PingTest2 > 1 AND $PingTest2 <= 99 Then
	Local $Check_Av_Url = InetGetSize($Av_Url)
	Local $Check_Def_Url = InetGetSize($Def_Url)
	Local $Check_Antivir0_Url = InetGetSize($Antivir0_Url)
	If $Check_Av_Url > 1 Then
		GUICtrlSetState($Pic1, $GUI_SHOW)
	Else
		GUICtrlSetState($Pic2, $GUI_SHOW)
	EndIf
	InetClose($Check_Av_Url)

	If $Check_Def_Url > 1 Then
		GUICtrlSetState($Pic3, $GUI_SHOW)
	Else
		GUICtrlSetState($Pic4, $GUI_SHOW)
	EndIf
	InetClose($Check_Def_Url)

	If $Check_Antivir0_Url > 1 Then
		GUICtrlSetState($Pic5, $GUI_SHOW)
	Else
		GUICtrlSetState($Pic6, $GUI_SHOW)
	EndIf
	InetClose($Check_Antivir0_Url)
	GUICtrlSetState($ExitForm2, $GUI_FOCUS)
	GUICtrlSetState($BtCheck, $GUI_DISABLE)
EndIf
EndSwitch
Sleep(10)
WEnd
EndFunc
;-----------------------------------
